%define version 0.9.9pre1
%define name klyx
Name: %{name}
Summary: KLyX - a document processor for the K Desktop Environment
Version: %{version}
Release: 1
Source:  ftp.kde.org:/pub/kde/unstable/apps/%{name}-%{version}.tar.bz2
Group: X11/KDE/Applications
BuildRoot: /tmp/rpmbuild_%{name}
Copyright: GPL
Requires: qt >= 1.33 ( qt-1.42 recommended )
#Distribution: KDE
#Packager: Jochen Kuepper <jochen@uni-duesseldorf.de>
#Vendor: The KLyX team (Matthias Ettrich, Kalle Dalheimer, and others)

%description
A document processor for the K Desktop Environment that is based
on LyX and uses LaTeX as its background formatting engine.

%description -l it
KLyX  un word processor per il KDE basato su LyX; utilizza LaTeX
come motore di formattazione.

%description -l de
Ein Dokumentenverarbeitungssystem fr den KDE Dsktop basierend auf LyX.
Verwendet LaTeX als Hintergrundsatzsystem.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n klyx-%{version}

%build
export KDEDIR=/opt/kde
./configure --prefix=/opt/kde --with-install-root=$RPM_BUILD_ROOT
make

%install
make install-strip

cd $RPM_BUILD_ROOT
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%dir %attr(-,root,root) /opt/kde/share/apps/klyx/bind 
%dir %attr(-,root,root) /opt/kde/share/apps/klyx/clipart
%dir %attr(-,root,root) /opt/kde/share/apps/klyx/doc
%dir %attr(-,root,root) /opt/kde/share/apps/klyx/examples
%dir %attr(-,root,root) /opt/kde/share/apps/klyx/kbd
%dir %attr(-,root,root) /opt/kde/share/apps/klyx/layouts
%dir %attr(-,root,root) /opt/kde/share/apps/klyx/pics
%dir %attr(-,root,root) /opt/kde/share/apps/klyx/templates
%dir %attr(-,root,root) /opt/kde/share/apps/klyx/tex
%dir %attr(-,root,root) /opt/kde/share/apps/klyx

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -f $RPM_BUILD_DIR/file.list.%{name}

